  <mat-toolbar color="primary">
    <div class="toolbar-container">
      <button (click)="drawer.toggle()" mat-icon-button>
        <mat-icon>menu</mat-icon>
      </button>
      <button (click)="logout()" mat-icon-button>
        <mat-icon>logout</mat-icon>
      </button>
    </div>
  </mat-toolbar>

<mat-drawer-container autosize class="container">
  <mat-drawer #drawer class="sidenav" mode="over" autoFocus="false">
    <div class="navigation-container">
      <div class="navigation-container-top">
        <button (click)="drawer.close()" [routerLink]="['/home/landing']" class="default-nav-button" mat-button>
          Home
        </button>
        <ng-container *ngIf="$currentUser | async as currentUser">
          <button (click)="drawer.close()" [routerLink]="['/home/map']" class="default-nav-button" mat-button>
            Map
          </button>
          <button (click)="drawer.close()" [routerLink]="['/home/devices']" class="default-nav-button" mat-button>
            Devices
          </button>
          <button (click)=" drawer.close()" [routerLink]="['/home/farms']" class="default-nav-button" mat-button>
            Farms
          </button>
          <button (click)="drawer.close()" [routerLink]="['/home/fields']" class="default-nav-button" mat-button>
            Fields
          </button>
          <button (click)="drawer.close()" [routerLink]="['/home/thresholds']" class="default-nav-button" mat-button>
            Thresholds
          </button>

            <button (click)="drawer.close()" [routerLink]="['/home/company-users']" class="default-nav-button"
                    mat-button>
              Company Users
            </button>

            <button (click)="drawer.close()" [routerLink]="['/home/user-company']" class="default-nav-button"
                    mat-button>
              My Company
            </button>
        </ng-container>
      </div>
      <div class="navigation-container-middle">
        <ng-container *ngIf="$user | async as user">
          <!--          <button (click)="drawer.close()" [routerLink]="['/home/user-settings']" class="default-nav-button"-->
          <!--                  mat-button>-->
          <!--            Settings-->
          <!--          </button>-->
          <ng-container *ngIf="user.appRole === appRoles.AppAdmin">
            <button (click)="drawer.close()" [routerLink]="['/home/app-companies']" class="default-nav-button"
                    mat-button>
              Companies
            </button>
            <button (click)="drawer.close()" [routerLink]="['/home/subscriptions']" class="default-nav-button"
                    mat-button>
              Subscriptions
            </button>
            <!--            <button (click)="drawer.close()" [routerLink]="['/home/test']" class="default-nav-button" mat-button>-->
            <!--              Test-->
            <!--            </button>-->
          </ng-container>
        </ng-container>
      </div>
      <div class="navigation-container-bottom">
        <div>
          <button class="default-nav-button" mat-button (click)="requestSubscription()">
            Request Subscription
          </button>
        </div>
        <mat-form-field *ngIf="companyUsersControl.value !== null" appearance="outline">
          <mat-label>Company</mat-label>
          <mat-select (selectionChange)="currentUserChanged(companyUsersControl.value, $event)"
                      [formControl]="companyUsersControl"
                      [value]="companyUsersControl.value">
            <ng-container *ngIf="$companyUsers | async as companyUsers ">
              <mat-option *ngFor="let user of companyUsers" [value]="user.id">
                {{user.companyName}}
              </mat-option>
            </ng-container>
          </mat-select>
        </mat-form-field>
      </div>
    </div>

  </mat-drawer>
  <mat-drawer-content>
    <router-outlet></router-outlet>
  </mat-drawer-content>
</mat-drawer-container>


